Subject: Re: [PATCH] xdiff: re-diff shifted change groups when using histogram algorithm

From: Junio C Hamano <[email-masked]>
Date: Fri, 20 Feb 2026 15:07:02 -0800

Yee Cheng Chin <[email-masked]> writes:

> ...
> {-AXB-}[+CD*XE+]*
>
> Because of that, I'm leaning on keeping the current code structure,
> because it *is* indeed a cleanup step to be run after the previous
> one. I could still refactor it into a separate function and put it
> into the the case #1/#2 if blocks if you think that's cleaner.
>
> I will also add the above to the test case in v2.

OK, it has been a few weeks since we had this message.  Will we see
an update sometime soon?  No rush, but just pinging.

Thanks.